#ifndef _DEBUGGER_H_
#define _DEBUGGER_H_

#include <Arduino.h>
#include "webui.h"

#ifdef FEATURE_ENABLE_REMOTE_DEBUG
#include <RemoteDebug.h>
#include "rmtdbghelp.h"
#endif

typedef struct Debugger_s
{
    bool webui_live_debug_enabled;
    bool serial_debug_enabled;
} Debugger_t;

extern Debugger_t debugger;

void initDebugger();
void Debugger_Process();
void pushCANDebug(uint32_t id, uint8_t dlc, uint8_t *data[]);
void Debug_pushMessage(const char *format, ...);

#endif